import 'package:json_annotation/json_annotation.dart';

part 'list_data.g.dart';
@JsonSerializable()
class ListData {
  String? courseId;
  String? schoolId;
  String? folderId;
  String? type;
  String? code;
  String? name;
  String? shortname;
  String? keyword;
  String? image;
  String? intro;
  String? status;
  String? releaseStatus;
  String? learningmode;
  int? sortorder;
  int? studentCount;
  dynamic price;
  dynamic salePrice;
  dynamic totalIncome;
  int? totalLesson;
  int? totalChapter;
  dynamic accessLimit;
  String? openDate;
  String? createDate;
  String? createUser;
  // List<Teachers>? teachers;
  String? grantStatus;
  dynamic rawGrade;
  String? cap;
  String? teacherFullNameLst;
  dynamic currentRating;
  bool? courseIT;
  String? updateDate;
  String? updateUser;

  ListData(
      {this.courseId,
        this.schoolId,
        this.folderId,
        this.type,
        this.code,
        this.name,
        this.shortname,
        this.keyword,
        this.image,
        this.intro,
        this.status,
        this.releaseStatus,
        this.learningmode,
        this.sortorder,
        this.studentCount,
        this.price,
        this.salePrice,
        this.totalIncome,
          this.totalLesson,
        this.totalChapter,
        this.accessLimit,
        this.openDate,
        this.createDate,
        this.createUser,
   /*     // this.teachers,*/
        this.grantStatus,
        this.rawGrade,
        this.cap,
        this.teacherFullNameLst,
        this.currentRating,
        this.courseIT,
        this.updateDate,
        this.updateUser});

  factory ListData.fromJson(Map<String, dynamic> json) => _$ListDataFromJson(json);

  Map<String, dynamic> toJson() => _$ListDataToJson(this);
}