
import 'package:json_annotation/json_annotation.dart';
import 'lesson_home_work.dart';
import 'lesson_play.dart';

part 'lesson_data.g.dart';
@JsonSerializable()
class Data {
  String? partId;
  String? lessonId;
  String? link;
  String? partType;
  int? sortorder;
  String? createDate;
  String? createUser;
  int? partFirstRow;
  int? partLastRow;
  String? title;
  List<HomeworkList>? homeworkList;
  List<Playlist>? playlist;

  Data(
      {this.partId,
        this.lessonId,
        this.link,
        this.partType,
        this.sortorder,
        this.createDate,
        this.createUser,
        this.partFirstRow,
        this.partLastRow,
        this.title,
        this.homeworkList,
        this.playlist});

  factory Data.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);

  Map<String, dynamic> toJson() => _$DataToJson(this);
}