part of 'login_bloc.dart';

@immutable
abstract class LoginEvent extends Equatable {
  const LoginEvent();

  @override
  List<Object?> get props => [];
}

class RequestLogin extends LoginEvent {
  final BuildContext context;
  final String username;
  final String password;

  const RequestLogin({
    required this.context,
    required this.username,
    required this.password,
  });

  @override
  List<Object?> get props => [username,password];
}
